Summary: Standards-based cluster framework
Name: corosync
Version: 0.91
Release: alt1
License: BSD
Group: System/Base
Packager: Boris Savelev <boris@altlinux.org>
Url: http://freshmeat.net/projects/%name/
Source: %name-%version.tar.gz

%description
The Corosync Cluster Engine provides a cluster plug-in
engine for third party cluster service developers.
Designers develop service engines for use with Corosync
that can take advantage of its features including messaging,
membership, IPC, a configuration object database,
a handle database, automatic replication, and more.

%package -n lib%name
Summary: Library for %name
Group: System/Libraries
Conflicts: libopenais <= 0.90

%description -n lib%name
Library for %name

%package -n lib%name-devel
Summary: lib%name development files
Group: Development/C
Requires: lib%name = %version-%release
Conflicts: libopenais-devel <= 0.90

%description -n lib%name-devel
Development files for lib%name

%prep
%setup
sed -i -e "s:libexec:%_lib:g" Makefile.inc

%build
%make_build

%install
%makeinstall_std
install -m644 include/%name/swab.h %buildroot%_includedir/%name/engine

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%doc README* TODO SECURITY CHANGELOG
%config(noreplace)  %_sysconfdir/%name.conf
%_sbindir/*
%_man3dir/*
%_man5dir/*
%_man8dir/*

%files -n lib%name
%dir %_libdir/%name
%_libdir/%name/*.so.*
%_libdir/lcrso

%files -n lib%name-devel
%_libdir/%name/*.so
%_includedir/%name

%changelog
* Sat Sep 06 2008 Boris Savelev <boris@altlinux.org> 0.91-alt1
- initial build for Sisyphus

